## org.hibernate.event.spi
Interface EvictEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultEvictEventListener

    public interface EvictEventListener

extends Serializable

Defines the contract for handling of evict events generated from a session.

Method Summary
`void` `onEvict(EvictEvent event)` Handle the given evict event.

Method Detail

### onEvict

    void onEvict(EvictEvent event)
                 throws HibernateException

  Handle the given evict event.

  Parameters:
    `event` - The evict event to be handled.
  Throws:
    `HibernateException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.